<div style="padding:5px;min-width:1700px">
<div style="padding:20px;"></div>
<button class="btn btnExcel" style="width:150px;text-align:center;">Export Excel</button></div>
<table id="view_laporan" class="cetakExcel" border="0" cellpadding="2" cellspacing="0" style="margin:10px;">
	<tbody>
		<tr>
			<td align="center" colspan="78" style="text-align: center;border:0px;border-top:0;font-size:14px;border-right:0px;">LAPORAN PERKARA <?php echo $perkara_nama;?></td>
		</tr>
		<tr>
			<td align="center" colspan="78" style="text-align: center;border:0px;font-size:14px;border-right:0px;"><?php echo $nama_pn;?></td>
		</tr>
		<tr>
			<td align="center" colspan="78" style="text-align: center;border:0px;font-size:14px;border-bottom:1px solid #000000;border-right:0px;">Bulan <?php echo fetch_montd($bulan);?> <?php echo $tahun;?></td>
		</tr>
	</tbody>

    <tr>
      <th rowspan="7">NOMOR URUT</th>
      <th rowspan="7">NOMOR PERKARA</th>
      <th colspan="2" rowspan="5">NAMA</th>
      <th rowspan="7">KODE KLASIFIKASI</th>
      <th colspan="4" rowspan="4">TERDAKWA</th>
      <th colspan="5" rowspan="5">TANGGAL</th>
      <th colspan="4" rowspan="4">TERPIDANA</th>
      <th colspan="37">AMAR PUTUSAN</th>
      <th colspan="2" rowspan="7">REKAPITULASI</th>
    </tr>
    <tr>
      <th colspan="29">DIJATUHI PUTUSAN</th>
      <th rowspan="3" colspan="4">BEBAS DARI DAKWAAN</th>
      <th rowspan="3" colspan="4">LEPAS DARI TUNTUTAN</th>
    </tr>
    <tr>
      <th colspan="13">PIDANA POKOK</th>
      <th rowspan="2" colspan="4">PIDANA TAMBAHAN</th>
      <th rowspan="2" colspan="4">BERSYARAT</th>
      <th colspan="8">TINDAKAN</th>
    </tr>
    <tr>
      <th colspan="4">PENJARA</th>
      <th colspan="4">KURUNGAN</th>
      <th colspan="5">DENDA</th>
      <th rowspan="2" colspan="2">DIKEMBALIKAN PADA ORANG TUA</th>
      <th rowspan="2" colspan="2">DIKEMBALIKAN PADA PEMERINTAH/ NEGARA</th>
      <th rowspan="2" colspan="4">REHABILITASI</th>
    </tr>
    <tr>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th rowspan="3">JUMLAH (Rp)</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
    </tr>
    <tr>
      <th rowspan="2" colspan="1">MAJELIS HAKIM</th>
      <th rowspan="2">PANITERA PENGGANTI</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">PENDAFTARAN PERKARA</th>
      <th rowspan="2">PENETAPAN MAJELIS HAKIM</th>
      <th rowspan="2">SIDANG PERTAMA</th>
      <th rowspan="2">PUTUSAN</th>
      <th rowspan="2">MINUTASI</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">ANAK</th>
      <th colspan="2">DEWASA</th>
      <th colspan="2">ANAK</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
      <th rowspan="2">L</th>
      <th rowspan="2">P</th>
    </tr>
    <tr>
      <th>P</th>
      <th>L</th>
      <th>P</th>
      <th>L</th>
      <th>P</th>
      <th>L</th>
      <th>P</th>
      <th>P</th>
    </tr>
    <tr>
    <?php for ($a=1; $a<=55;$a++){
    	echo "<td>".$a."</td>";
          }
      echo "<td colspan=\"2\">56</td>";
    ?>
    </tr>

	<?php
	$rekap = array();
	if($stat!=''){
		if($stat->num_rows>0){
			foreach ($stat->result() as $row) {
				array_push($rekap, $row);
				$total = $row->sisa + $row->putus_blm_minut + $row->med_blm_minut;
			}
		}
	}
	if($laporan!=''){
		if($laporan->num_rows>0){
			$i=0;
			foreach ($laporan->result() as $row) {
				$i++;
				echo "<tr>";
					echo "<td style='width:20px;'>".$i."</td>";
					echo "<td>".$row->nomor_perkara."</td>";
          echo "<td>".$row->majelis_hakim."</td>";
          echo "<td>".$row->panitera_pengganti_text."</td>";
          echo "<td>".$row->jenis_perkara_kode."</td>";

          echo "<td>".$row->terdakwa_dewasa_l."</td>";
          echo "<td>".$row->terdakwa_dewasa_p."</td>";
          echo "<td>".$row->terdakwa_anak_l."</td>";
          echo "<td>".$row->terdakwa_anak_p."</td>";

					echo "<td>".parse_date($row->tanggal_pendaftaran)."</td>";
					echo "<td>".parse_date($row->penetapan_majelis_hakim)."</td>";
					echo "<td>".parse_date($row->sidang_pertama)."</td>";
					echo "<td>".parse_date($row->tanggal_putusan)."</td>";
					echo "<td>".parse_date($row->tanggal_minutasi)."</td>";

          echo "<td>".$row->terpidana_dewasa_l."</td>";
          echo "<td>".$row->terpidana_dewasa_p."</td>";
          echo "<td>".$row->terpidana_anak_l."</td>";
          echo "<td>".$row->terpidana_anak_p."</td>";

          echo "<td>".$row->terpidana_wkttt_dewasa_l."</td>";
          echo "<td>".$row->terpidana_wkttt_dewasa_p."</td>";
          echo "<td>".$row->terpidana_wkttt_anak_l."</td>";
          echo "<td>".$row->terpidana_wkttt_anak_p."</td>";

          echo "<td>".$row->terpidana_kurungan_dewasa_l."</td>";
          echo "<td>".$row->terpidana_kurungan_dewasa_p."</td>";
          echo "<td>".$row->terpidana_kurungan_anak_l."</td>";
          echo "<td>".$row->terpidana_kurungan_anak_p."</td>";

          echo "<td>".$row->terpidana_denda_dewasa_l."</td>";
          echo "<td>".$row->terpidana_denda_dewasa_p."</td>";
          echo "<td>".$row->terpidana_denda_anak_l."</td>";
          echo "<td>".$row->terpidana_denda_anak_p."</td>";
          echo "<td>".$row->denda."</td>";

          echo "<td>".$row->pidana_tambahan_dewasa_l."</td>";
          echo "<td>".$row->pidana_tambahan_dewasa_p."</td>";
          echo "<td>".$row->pidana_tambahan_anak_l."</td>";
          echo "<td>".$row->pidana_tambahan_anak_p."</td>";

          echo "<td>".$row->pidana_bersyarat_dewasa_l."</td>";
          echo "<td>".$row->pidana_bersyarat_dewasa_p."</td>";
          echo "<td>".$row->pidana_bersyarat_anak_l."</td>";
          echo "<td>".$row->pidana_bersyarat_anak_p."</td>";

          echo "<td>".$row->kembalikan_org_tua_anak_l."</td>";
          echo "<td>".$row->kembalikan_org_tua_anak_p."</td>";
          echo "<td>".$row->kembalikan_pemerintah_anak_l."</td>";
          echo "<td>".$row->kembalikan_pemerintah_anak_p."</td>";

          echo "<td>".$row->rehabilitasi_dewasa_l."</td>";
          echo "<td>".$row->rehabilitasi_dewasa_p."</td>";
          echo "<td>".$row->rehabilitasi_anak_l."</td>";
          echo "<td>".$row->rehabilitasi_anak_p."</td>";

          echo "<td>".$row->bebas_dakwaan_dewasa_l."</td>";
          echo "<td>".$row->bebas_dakwaan_dewasa_p."</td>";
          echo "<td>".$row->bebas_dakwaan_anak_l."</td>"; 
          echo "<td>".$row->bebas_dakwaan_anak_p."</td>"; 

          echo "<td>".$row->lepas_tuntutan_dewasa_l."</td>"; 
          echo "<td>".$row->lepas_tuntutan_dewasa_p."</td>"; 
          echo "<td>".$row->lepas_tuntutan_anak_l."</td>"; 
          echo "<td>".$row->lepas_tuntutan_anak_p."</td>"; 


					
					echo "<td style='width:150px;'>".parse_stat($i,1)."</td>";
					echo "<td>".parse_stat($i,2,$rekap)."</td>";
				echo "</tr>";
				
			}
			if($i<11){
				for ($x=$i+1; $x <=11; $x++) {
					echo "<tr>";
            for ($a=1;$a<=55;$a++){
  						echo "<td></td>";
            }

						echo "<td style='width:150px;'>".parse_stat($x,1)."</td>";
						echo "<td>".parse_stat($x,2,$rekap)."</td>";
					echo "</tr>";
				}
			}
		}
	}

	
	function parse_stat($x,$y,$rekap=NULL){
		if($x==1 AND $y==1){return '1. Sisa Bulan Lalu';}
		elseif($x==2 AND $y==1){return '  a. Belum Putus';}
		elseif($x==3 AND $y==1){return '  b. Sudah Putus Belum Minutasi';}
		elseif($x==4 AND $y==1){return '  ';}
		elseif($x==5 AND $y==1){return '2. Tambah Bulan Ini';}
		elseif($x==6 AND $y==1){return '3. Beban Bulan Ini';}
		elseif($x==7 AND $y==1){return '4. Belum Pembagian Majelis';}
		elseif($x==8 AND $y==1){return '6. Minutir Bulan Ini';}
		elseif($x==9 AND $y==1){return '7. Belum Minutir Bulan Ini';}

		elseif($x==10 AND $y==1){return '8. Terdakwa';}
		elseif($x==11 AND $y==1){return '9. Terpidana';}
		
		elseif($x==1 AND $y==2){return $rekap[0]->sisa + $rekap[0]->putus_blm_minut + $rekap[0]->med_blm_minut;}
		elseif($x==2 AND $y==2){return $rekap[0]->sisa;}
		elseif($x==3 AND $y==2){return $rekap[0]->putus_blm_minut;}
		elseif($x==4 AND $y==2){return '';}
		elseif($x==5 AND $y==2){return $rekap[0]->masuk;}
		elseif($x==6 AND $y==2){return $rekap[0]->sisa + $rekap[0]->putus_blm_minut + $rekap[0]->med_blm_minut + $rekap[0]->masuk;}
		elseif($x==7 AND $y==2){return $rekap[0]->blm_majelis;}
		elseif($x==8 AND $y==2){return $rekap[0]->minut;}
		elseif($x==9 AND $y==2){return $rekap[0]->blm_minut;}
		elseif($x==10 AND $y==2){return $rekap[0]->terdakwa;}
		elseif($x==11 AND $y==2){return $rekap[0]->terpidana;}
		
	}
	?>
</table>
</div>
<div style="padding:15px;"></div>
<script src="resources/js/jquery.table2excel.js"></script>
<script>
$(function() {
  $(".btnExcel").click(function(){
    $(".cetakExcel").table2excel({
      exclude: ".noExl",
      name: "Excel Document Name",
      filename: "Cetak Excel"
    });
  });
});
</script>